Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451906

Summary: fedora 9 add/remove utility seems unusable
Product: [Fedora] Fedora Reporter: hal
Component: gnome-packagekitAssignee: Robin Norwood <robin.norwood>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: ffesti, james.antill, katzj, pmatilai, richard, tla
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-19 03:04:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description hal 2008-06-18 02:20:29 UTC
Description of problem: The add/remove utility in fedora 9 seems basically
unusable for installing more than one or two things because of excessive CPU
usage and the user-interface design.


Version-Release number of selected component (if applicable): gpk-application 0.1.2


How reproducible: always


Steps to Reproduce:
1. Start add/remove software from the fedora 9 system>administration menu
2. select any category on the left
3. try to select and add several programs once a category is finally displayed
  
Actual results: When selecting a category or changing from one category to
another, the program takes several minutes of (mostly) CPU time to create the
list of programs in that category.  There appears to be no caching behavior -
switching back to a category that has already been visited starts the search all
over again.

There appears to be no way to select several programs in a single category for
installation as a group.  This is different from (for example) fedora 7, where
it was possible to select multiple programs with checkboxes before starting an
installation.


Expected results: Some time to create the available software list the first time
a category is visited is fine, but it shouldn't take this long.

More important, there should be some way to select several programs in a
category for unsupervised installation as a group, instead of having to
(apparently) install things sequentially.  This one-at-a-time behavior makes the
program essentially unusable for installing a bunch of things (like development
tools or open office) after a fresh fedora 9 install from the live CD.

Additional info: This is my first attempt to upgrade a fedora 7 system to fedora
9.  Perhaps there is some way to get an interface like the one on fedora 7 that
made it possible to install a large number of packages at once, but I can't find
it.  Suggestions appreciated.

Comment 1 Richard Hughes 2008-06-18 13:02:31 UTC
Something like this: http://www.packagekit.org/temp/gpk-application.png ?

Richard.


Comment 2 hal 2008-06-18 16:39:30 UTC
That's basically what I'm seeing, but without the checkboxes to the left of the items  (unless they're 
scrolled off the left margin and I just missed them).  Basically all I can seem to do is click on one of the 
"box" icons to the left of the package name and then click install at the bottom of the screen near the help 
button (which doesn't show up on that screenshot), which then triggers an install of that individual 
package.  It does look like I can continue to click on other icons and click install for them, but I'm not sure 
if that adds to the list of things being installed or somehow messes up what's in progress.  And it's 
tedious in any case.




Comment 3 Richard Hughes 2008-06-19 03:04:51 UTC
Sure, the UI is what we are working on in rawhide so that we can backport this
to F9 in the near future. Please try the PackageKit in rawhide, and tell me what
you think. Thanks.

Comment 4 hal 2008-06-23 21:49:43 UTC
I gave this a try by adding rawhide to the software sources control panel
(system>administration menu) and let software update run.  That downloaded a
lot, basically upgrading me to fc10 versions of many things, but ok, this is on
a test machine so no harm done.

After rebooting, I started add/remove software from system > administration. 
That launched gpk-application 0.2.3.  I clicked on Admin Tools in the left panel
and the status line on the bottom changed to "downloading file lists".  It's
been like that for over a half-hour at this point and has downloaded over 1.9GB
of something and is still running, but it hasn't done anything else or displayed
any software lists beyond that yet.  So something doesn't seem right.  Any
suggestions?